# automake input file for wmaker-rs

AUTOMAKE_OPTIONS =

RUST_SOURCES = \
	src/app_icon.rs \
	src/application.rs \
	src/app_menu.rs \
	src/defaults.rs \
	src/dock.rs \
	src/global.rs \
	src/icon.rs \
	src/lib.rs \
	src/menu.rs \
	src/properties.rs \
	src/screen.rs \
	src/window.rs \
	src/wings.rs \
	src/wrlib.rs

RUST_EXTRA = \
	Cargo.lock

target/debug/libwmaker_rs.so: $(RUST_SOURCES) $(RUST_EXTRA)
	$(CARGO) build

check-local:
	$(CARGO) test

clean-local:
	$(CARGO) clean

all: target/debug/libwmaker_rs.so
